Loading...
Searching...
No Matches
Dune::Interface Class Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

Communication interface between remote and local indices. More...

`#include <dune/common/parallel/interface.hh>`

Inheritance diagram for Dune::Interface:

## Public Types

typedef std::map< int, std::pair< InterfaceInformation, InterfaceInformation > > | InformationMap
| The type of the map form process number to InterfaceInformation for sending and receiving to and from it.

## Public Member Functions

template<typename R, typename T1, typename T2>
void | build (const R &remoteIndices, const T1 &sourceFlags, const T2 &destFlags)
| Builds the interface.
void | free ()
| Frees memory allocated during the build.
MPI_Comm | communicator () const
| Get the MPI Communicator.
const InformationMap & | interfaces () const
| Get information about the interfaces.
| Interface (MPI_Comm comm)
| Interface ()
void | print () const
| Print the interface to std::out for debugging.
bool | operator!= (const Interface &o) const
bool | operator== (const Interface &o) const
virtual | ~Interface ()
| Destructor.
void | strip ()

## Protected Member Functions

InformationMap & | interfaces ()
| Get information about the interfaces.
template<class R, class T1, class T2, class Op, bool send>
void | buildInterface (const R &remoteIndices, const T1 &sourceFlags, const T2 &destFlags, Op &functor) const
| Builds the interface between remote processes.

## Protected Attributes

MPI_Comm | communicator_
| The MPI communicator we use.

## Detailed Description

Communication interface between remote and local indices.

Describes the communication interface between indices on the local process and those on remote processes.

## Member Typedef Documentation

## InformationMap

typedef std::map<int,std::pair<InterfaceInformation,InterfaceInformation> > Dune::Interface::InformationMap

The type of the map form process number to InterfaceInformation for sending and receiving to and from it.

## Constructor & Destructor Documentation

## Interface() [1/2]

Dune::Interface::Interface | ( | MPI_Comm | comm | ) |

inline

## Interface() [2/2]

Dune::Interface::Interface | ( |  | ) |

inline

## Member Function Documentation

## operator!=()

bool Dune::Interface::operator!= | ( | const Interface & | o | ) | const

inline

## operator==()

bool Dune::Interface::operator== | ( | const Interface & | o | ) | const

inline

## Member Data Documentation

## communicator_

MPI_Comm Dune::Interface::communicator_

protected

The MPI communicator we use.

The documentation for this class was generated from the following file:

- parallel/interface.hh